<?php

namespace FacturaScripts\Plugins\Partes\Controller;

use FacturaScripts\Core\Lib\ExtendedController\ListController;

class ListOIncidencia extends ListController
{
    public function getPageData(): array
    {
        $data = parent::getPageData();
//        $data["title"] = "Indidencias";
	$data["menu"] = "";
//        $data["icon"] = "";
        return $data;
    }

    protected function createViews()
    {
        $this->createViewsOIncidencia();
    }

    protected function createViewsOIncidencia(string $viewName = "ListOIncidencia")
    {
        $this->addView($viewName, "OIncidencia", "Indidencias");

        // Esto es un ejemplo ... debe de cambiarlo según los nombres de campos del modelo
        // $this->addOrderBy($viewName, ["id"], "id", 2);
        // $this->addOrderBy($viewName, ["name"], "name");

        // Esto es un ejemplo ... debe de cambiarlo según los nombres de campos del modelo
        // $this->addSearchFields($viewName, ["id", "name"]);
    }
}
